Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77268 - TB ipcalc:41:prefix
Summary: TB ipcalc:41:prefix
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network
Version: 8.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 81720
TreeView+ depends on / blocked
 
Reported: 2002-11-04 15:52 UTC by Joe Clifton
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-06-04 09:46:56 UTC


Attachments (Terms of Use)

Description Joe Clifton 2002-11-04 15:52:40 UTC
Description of Problem: When using "Network Configuration" under System Tools, I
can either make NO changes or make changes, but upon pressing the "APPLY" 
button I get the error below.


Version-Release number of selected component (if applicable):


How Reproducible: explained above


Steps to Reproduce:
1. Open Network Configuration
2. Make any change
3. Press APPLY button

Actual Results:
File "/usr/sbin/neat", line 496, in on_applyButton_clicked
    self.save()
  File "/usr/sbin/neat", line 319, in save
    self.saveDevices()
  File "/usr/sbin/neat", line 326, in saveDevices
    devicelist.save()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NCDeviceList.py",
line 145, in save
    os.write(fp2, ipc.network()+'/'+ipc.prefix()+" via "+route.Gateway+"\n")
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/ipcalc.py", line 58,
in network
    self.prefix()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/ipcalc.py", line 41,
in prefix
    self._prefix = re.match("PREFIX=(\d+)", text).groups()[0]
AttributeError: 'NoneType' object has no attribute 'groups'



Expected Results:


Additional Information:

Comment 1 Harald Hoyer 2003-01-13 15:19:52 UTC
new packages to test available at:
ftp://people.redhat.com/harald/redhat-config-network/1.1.87-1/
ftp://people.redhat.com/harald/rhpl/0.74-2/

Comment 2 Harald Hoyer 2004-06-04 09:46:56 UTC
Closing due to inactivity. Reopen, if the problem is still existing.


Note You need to log in before you can comment on or make changes to this bug.